{% extends 'base_lab5.html' %}
{% load static %}

{% block title %} Homepage {% endblock title %}

{% block content %}
<div class="jumbotron">
  <div class="row">
    <div class="col-sm-6">
      <div class="well">
        <h2>Input Schedule</h2>
        <form action="/index/" method="post">
          {% csrf_token %}
          {{ ActivityForm }}
          <input type="submit" value="Submit">
        </form>
      </div>
    </div>
    <div class="col-sm-6">
      <div class="well">
        <div class="row">
          <h2>Your Schedule</h2>
          <!-- Button trigger modal -->
          <button type="button" class="btn btn-primary pull-left" data-toggle="modal" data-target="#exampleModal">
            Delete all schedule
          </button>
        </div>



        <!-- Modal -->
        <div class="modal fade" id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
          <div class="modal-dialog" role="document">
            <div class="modal-content">
              <div class="modal-header">
                <h5 class="modal-title" id="exampleModalLabel">Data deletion?</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                  <span aria-hidden="true">&times;</span>
                </button>
              </div>
              <div class="modal-body">
                Are you sure you want to delete all of your schedule?
              </div>
              <div class="modal-footer">
                <button type="button" class="btn btn-primary" data-dismiss="modal">No, return</button>
                <form action="/delete_all/" method="get">
                  <input type="submit" class="btn btn-danger" value='Yes, Delete all'></button>
                </form>
              </div>
            </div>
          </div>
        </div>
        <h3>Upcoming Schedule</h3>
        {% for activity in upcomingActivities %}
        <div class="well">
          <h4>{{activity.activity_name}}</h4>
          <article>{{activity.date}} at {{activity.time}}</article>
        </div>
        {% endfor %}
        <h3>Past Schedule</h3>
        {% for activity in pastActivities %}
        <div class="well">
          <h4>{{activity.activity_name}}</h4>
          <article>{{activity.date}} at {{activity.time}}</article>
        </div>
        {% endfor %}
      </div>
    </div>

  </div>

</div>

{% endblock content %}
